Subject: Re: bug#14285: 24.3; New octave feature: octave-update-function-file-comment

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Apr 2013 09:19:30 -0400

[ FWIW, I use neither Octave nor Matlab and so I never use octave-mode.
  I just chose it as a kind of test for SMIE.  So I don't have any
  opinion on the feature you suggest.  ]

> -  "Normal hook that is run before a buffer is saved to its file."
> +  "Normal hook that is run before a buffer is saved to its file.
> +Any error from the hook prevents saving the buffer."

Maybe rather than fix the doc, we should fix the code and wrap the
run-hook with a with-demote-errors?

> +      (cl-destructuring-bind (&optional start _end name-start name-end)
> +          (octave-function-file-p)

I recommend you try

 (pcase-let ((`(,start ,_end ,name-start ,name-end) (octave-function-file-p)))

instead.

        Stefan